package com.muyu.auth.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName TokenResp
 * @Description token响应实体类
 * @Author Chen
 * @Date 2024/8/9 16:40
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "token响应结果集", description = "包含token和token有效时间")
public class TokenResp {
    /**
     * token令牌
     */
    @Schema(title = "token令牌",
            type = "String",
            defaultValue = "eyJ09.eyJ1sInN1YlcmlwaJ9.Y52eWUak1LpIK5R8",
            description = "JWT令牌,包含头，载体，尾")
    private String accessToken;
    /**
     * 有效时间
     */
    @Schema(
            title = "令牌有效时间",
            type = "Long",
            defaultValue = "720",
            description = "过期时间,时间单位为分钟（MIN）"
    )
    private Long expiresIn;

}
